golist News
===========

0.10.3
------

This release reverts the inclusion of `testdata`, which causes breakage when
those files contain broken Go code intended for testing (but not build) only.

0.10.2
------

This release handles test files outside packages correctly.

* [Handle tests outside packages
  correctly](https://pagure.io/golist/pull-request/26)
* [Fix not listing packages with external tests
  only](https://pagure.io/golist/pull-request/27)
* [Don't skip testdata](https://pagure.io/golist/pull-request/30)

0.10.1
------

This releases ensures that `.s` files are always installed, regardless of their
build tags. It also installs `.proto` and `.md` as was originally intended.

* [Always install SFiles whatever the
  arch](https://pagure.io/golist/pull-request/25)

0.10.0
------

This release fixes various build issues and bugs working with source trees
containing Go module `go.mod` files. It also adds several enhancements to help
improve the Fedora Go packaging macros.

* [Fix compile against latest
  urfave/cli](https://pagure.io/golist/pull-request/16)
* [Replace Go internals with
  go/build](https://pagure.io/golist/pull-request/17)
* [Add ignored Go files install list](https://pagure.io/golist/pull-request/20)
* [Allow specifying multiple package paths at a
  time](https://pagure.io/golist/pull-request/22)
* [Add output templating](https://pagure.io/golist/pull-request/23)
* [Add option for querying main and test
  simultaneously](https://pagure.io/golist/pull-request/24)

0.9.0
-----

This is the first release to be made after Pagure rehosting. No changes were
made from the [gofed version](https://github.com/gofed/symbols-extractor/).
